package test;

import java.io.File;
import java.util.List;
import java.util.Map;

import sample.vo.EmpVO;

import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.biz.control.GlueBizController;
import com.poscoict.glueframework.biz.control.GlueBizProvider;
import com.poscoict.glueframework.context.GlueContext;
import com.poscoict.glueframework.context.GlueDefaultContext;

public class Test_sample04
{
    public static void main( String[] args )
    {

    	String baseDir = new File( new File( "" ).getAbsolutePath() ).getPath();
        System.setProperty( "CONFIG_PATH", baseDir + "\\etc" );
        System.out.println(baseDir);

        GlueBizController controller = GlueBizProvider.getController();
        GlueContext ctx = new GlueDefaultContext();
        List<EmpVO> result =  null;

        System.out.println("**************************************************");
        ctx = new GlueDefaultContext();
        ctx.put( GlueBizControlConstants.SERVICE_NAME, "sample04-service" );
        controller.doAction( ctx );

        System.out.println("**************************************************");
        ctx = new GlueDefaultContext();
        ctx.put( GlueBizControlConstants.SERVICE_NAME, "sample04-service" );
        ctx.put( "find", "event" );
        ctx.put( "deptno", "30" );
        controller.doAction( ctx );
        result = (List<EmpVO>)ctx.get( "EmpList" );
        for ( EmpVO emp : result )
        {
            System.out.println(emp.getEmpno()+"\t"+emp.getEname()+"\t"+emp.getDeptno()+"\t"+emp.getJob()+"\t"+emp.getSal());
        }

        System.out.println("**************************************************");
        ctx = new GlueDefaultContext();
        ctx.put( GlueBizControlConstants.SERVICE_NAME, "sample04-service" );
        ctx.put( "insert", "event" );
        ctx.put( "empno_insert", "4567" );
        ctx.put( "ename_insert", "test" );
        ctx.put( "sal_insert", "2000" );
        ctx.put( "deptno_insert", "30" );
        ctx.put( "deptno", "30" );
        controller.doAction( ctx );
        result = (List<EmpVO>)ctx.get( "EmpList" );
        for ( EmpVO emp : result )
        {
            System.out.println(emp.getEmpno()+"\t"+emp.getEname()+"\t"+emp.getDeptno()+"\t"+emp.getJob()+"\t"+emp.getSal());
        }

        System.out.println("**************************************************");
        ctx = new GlueDefaultContext();
        ctx.put( GlueBizControlConstants.SERVICE_NAME, "sample04-service" );
        ctx.put( "update", "event" );
        ctx.put( "SAL", "3000" );
        ctx.put( "ENAME", "Test" );
        ctx.put( "EMPNO", "4567" );
        ctx.put( "deptno", "30" );
        controller.doAction( ctx );
        result = (List<EmpVO>)ctx.get( "EmpList" );
        for ( EmpVO emp : result )
        {
            System.out.println(emp.getEmpno()+"\t"+emp.getEname()+"\t"+emp.getDeptno()+"\t"+emp.getJob()+"\t"+emp.getSal());
        }

        System.out.println("**************************************************");
        ctx = new GlueDefaultContext();
        ctx.put( GlueBizControlConstants.SERVICE_NAME, "sample04-service" );
        ctx.put( "delete", "event" );
        ctx.put( "EMPNO", "4567" );
        ctx.put( "deptno", "30" );
        controller.doAction( ctx );
        result = (List<EmpVO>)ctx.get( "EmpList" );
        for ( EmpVO emp : result )
        {
            System.out.println(emp.getEmpno()+"\t"+emp.getEname()+"\t"+emp.getDeptno()+"\t"+emp.getJob()+"\t"+emp.getSal());
        }
    }
}